clang 10.0.0git

Classes | Namespaces | Enumerations
Lexer.h File Reference
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/TokenKinds.h"`
`#include "clang/Lex/PreprocessorLexer.h"`
`#include "clang/Lex/Token.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <cassert>`
`#include <cstdint>`
`#include <string>`
Include dependency graph for Lexer.h:

Go to the source code of this file.

## Classes
struct | clang::PreambleBounds
| Describes the bounds (start, size) of the preamble and a flag required by PreprocessorOptions::PrecompiledPreambleBytes. More...
class | clang::Lexer
| Lexer - This provides a simple interface that turns a text buffer into a stream of tokens. More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::ConflictMarkerKind { clang::CMK_None, clang::CMK_Normal, clang::CMK_Perforce }
| ConflictMarkerKind - Kinds of conflict marker which the lexer might be recovering from. More...